Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.operation
Class GetLegendGraphic

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wms.operation.WMSRequestBase
              org.deegree.ogcwebservices.wms.operation.GetLegendGraphic

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class GetLegendGraphic

extends WMSRequestBase

Version:
  $Revision: 24806 $ $Date: 2010-06-09 16:41:16 +0200 (Mi, 09. Jun 2010) $
Author:
  Katharina Lupp Katharina Lupp
See Also:
  Serialized Form

Method Summary
`static GetLegendGraphic` | `create(Map<String,String> model)`
`static GetLegendGraphic` | `create(String id, String version, String layer, String style, String featureType, String rule, double scale, URL sld, String sld_body, String format, int width, int height, String exceptions, Map<String,String> vendorSpecificParameter)`
`String` | `getExceptions()` This gives the MIME type of the format in which to return exceptions.
`String` | `getFeatureType()`
`String` | `getFormat()`
`int` | `getHeight()` This gives a hint for the height of the returned graphic in pixels.
`String` | `getLayer()`
`String` | `getRequestParameter()` method for creating a OGC WMS 1.1.1 conform legend graphic request
`String` | `getRule()`
`double` | `getScale()`
`String` | `getSLD_Body()`
`URL` | `getSLD()`
`String` | `getStyle()`
`int` | `getWidth()` This gives a hint for the width of the returned graphic in pixels.
`void` | `setExceptions(String exceptions)`
`void` | `setFeatureType(String featureType)` sets the
`void` | `setFormat(String format)` sets the name of the image format the legend graphics shall have
`void` | `setHeight(int height)`
`void` | `setLayer(String layer)` sets the
`void` | `setRule(String rule)` sets the
`void` | `setScale(double scale)` Comma-seperated min and max scale values of a layer. sets the
`void` | `setSLD_Body(String sLD_Body)` sets the body of a SLD document.
`void` | `setSLD(URL sLD)` sets a reference (URL) to a SLD document
`void` | `setStyle(String style)` sets the
`void` | `setWidth(int width)`

Methods inherited from class org.deegree.ogcwebservices.wms.operation.WMSRequestBase
`getServiceName`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### create

    public static GetLegendGraphic create(Map<String,String> model)
                                   throws InconsistentRequestException

  Parameters:
    `model` - key-value-pair representation of the request
  Returns:
    an instance
  Throws:
    `InconsistentRequestException`

### create

    public static GetLegendGraphic create(String id,
                                          String version,
                                          String layer,
                                          String style,
                                          String featureType,
                                          String rule,
                                          double scale,
                                          URL sld,
                                          String sld_body,
                                          String format,
                                          int width,
                                          int height,
                                          String exceptions,
                                          Map<String,String> vendorSpecificParameter)

  Parameters:
    `id` - unique id of the request
    `version` - version of the target WMS
    `layer` - name of the layer the style is assigned to
    `style` - name of the style (optional; if not present -> 'default')
    `featureType` - name of the feature type a legend element shall be created for --> SLD
    `rule` - name of the rule a legend element shall be created for --> SLD
    `scale` - scale for which a rule must be valid --> SLD
    `sld` - refernce to a SLD document
    `sld_body` - SLD document
    `format` - image format of the returned legend element
    `width` -
    `height` -
    `exceptions` - format of the excpetion if something went wrong
    `vendorSpecificParameter` -
  Returns:
    instance of `GetLegendGraphic`

### getLayer

    public String getLayer()

  Returns:
    the <Layer>. A Map Server MUST include at least one element for each map layer offered. If desired, data layers MAY be repeated in different categories when relevant. A Layer element MAY state the Name by which a map of the layer is requested, MUST give a Title to be used in human-readable menus, and MAY include: a human-readable Abstract containing further description, available Spatial Reference Systems (SRS), bounding boxes in Lat/Lon and SRS-specific coordinates indicating the available geographic coverage, styles in which the layer is available, a URL for more information about the data, and a hint concerning appropriate map scales for displaying this layer. Use of the nesting hierarchy is optional.

### setLayer

    public void setLayer(String layer)

  sets the

  Parameters:
    `layer` - <Layer>

### getStyle

    public String getStyle()

  Returns:
    the <Style>. Named style that can be used for rendering the layer.

### setStyle

    public void setStyle(String style)

  sets the

  Parameters:
    `style` - <Style>

### getFeatureType

    public String getFeatureType()

  Returns:
    the <FeatureType>

### setFeatureType

    public void setFeatureType(String featureType)

  sets the

  Parameters:
    `featureType` - <FeatureType>

### getRule

    public String getRule()

  Returns:
    the <Rule>

### setRule

    public void setRule(String rule)

  sets the

  Parameters:
    `rule` - <Rule>

### getScale

    public double getScale()

  Returns:
    the <Scale>. Comma-seperated min and max scale values of a layer.

### setScale

    public void setScale(double scale)

  Comma-seperated min and max scale values of a layer. sets the

  Parameters:
    `scale` - <Scale>.

### getSLD

    public URL getSLD()

  Returns:
    a reference (URL) to a SLD document

### setSLD

    public void setSLD(URL sLD)

  sets a reference (URL) to a SLD document

  Parameters:
    `sLD` - the URL

### getSLD_Body

    public String getSLD_Body()

  Returns:
    the body of a SLD document. If SLD_BODY parameter is set, the SLD parameter isn't set and vice versa

### setSLD_Body

    public void setSLD_Body(String sLD_Body)

  sets the body of a SLD document. If SLD_BODY parameter is set, the SLD parameter isn't set and vice versa

  Parameters:
    `sLD_Body` - the body

### getFormat

    public String getFormat()

  Returns:
    the name of the image format the legend graphics shall have

### setFormat

    public void setFormat(String format)

  sets the name of the image format the legend graphics shall have

  Parameters:
    `format` - the format string

### getHeight

    public int getHeight()

  This gives a hint for the height of the returned graphic in pixels. Vector-graphics can use this value as a hint for the level of detail to include.

  Returns:
    the height

### setHeight

    public void setHeight(int height)

  Parameters:
    `height` -
  See Also:
    `getHeight()`

### getWidth

    public int getWidth()

  This gives a hint for the width of the returned graphic in pixels. Vector-graphics can use this value as a hint for the level of detail to include.

  Returns:
    the width

### setWidth

    public void setWidth(int width)

  Parameters:
    `width` -
  See Also:
    `getWidth()`

### getExceptions

    public String getExceptions()

  This gives the MIME type of the format in which to return exceptions. Allowed values are the same as for the EXCEPTIONS= parameter of the WMS GetMap request.

  Returns:
    the exception format

### setExceptions

    public void setExceptions(String exceptions)

  Parameters:
    `exceptions` -
  See Also:
    `getExceptions()`

### getRequestParameter

    public String getRequestParameter()
                               throws OGCWebServiceException

  method for creating a OGC WMS 1.1.1 conform legend graphic request

  Specified by:
    `getRequestParameter` in interface `OGCWebServiceRequest`
  Overrides:
    `getRequestParameter` in class `AbstractOGCWebServiceRequest`
  Returns:
    the URI of a HTTP GET request. If the request doesn't support HTTP GET a `WebServiceException` will be thrown
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org